Package org.kapott.hbci.smartcardio

# Class HBCICardService

java.lang.Object
org.kapott.hbci.smartcardio.SmartCardService
org.kapott.hbci.smartcardio.HBCICardService

Direct Known Subclasses:
  `DDVCardService`, `RSACardService`

public abstract class HBCICardService extends SmartCardService
Basis-Implementierung fuer spezielle HBCI-Karten.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.kapott.hbci.smartcardio.SmartCardService

`SmartCardService.Feature`

## Constructor Summary

Constructors
Constructor
Description
`HBCICardService()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract byte[]`
`createPINVerificationDataStructure(int pwdId)`
Erzeugt das PIN-Check-Kommando.
`String`
`getCardId()`
Liefert die Card-ID.
`abstract String`
`getCID()`
Liefert die CID der Karte.
`final void`
`verifyHardPIN(int pwdId)`
Prueft die PIN via Kartenleser.
`void`
`verifySoftPIN(int pwdId, byte[] softPin)`
Prueft die PIN via Software.

### Methods inherited from class org.kapott.hbci.smartcardio.SmartCardService

`check, close, createInstance, expand, getCard, getChallenge, getFeatures, getKeyInfo, init, internalAuthenticate, putData, readBinary, readRecordBySFI, receive, receive, selectFile, selectSubFile, send, toBytes, toHex, toHex, updateRecordBySFI, writeRecordBySFI`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HBCICardService

public HBCICardService()

## Method Details

### verifyHardPIN

public final void verifyHardPIN(int pwdId)
Prueft die PIN via Kartenleser.

Parameters:
  `pwdId` - PIN-ID.

### verifySoftPIN

public void verifySoftPIN(int pwdId, byte[] softPin)
Prueft die PIN via Software.

Parameters:
  `pwdId` - die PIN-ID.
  `softPin` - die PIN.

### getCID

public abstract String getCID()
Liefert die CID der Karte.

Returns:
  die CID der Karte.

### getCardId

public String getCardId()
Liefert die Card-ID.

Returns:
  die Card-ID.

### createPINVerificationDataStructure

protected abstract byte[] createPINVerificationDataStructure(int pwdId) throws IOException
Erzeugt das PIN-Check-Kommando.

Returns:
Throws:
  `IOException`